%define _fontdir %{_fontbasedir}/TTF

Name:		ttfonts
Version:	1.4
Release:	%mkrel 10
License:	Freeware
Summary:	TrueType fonts
Group:		System/Fonts/True type 
Source:		ttfonts-%{version}.tar.xz
Source1:	fonts-ttf-west_european-fonts.dir.bz2
Source2:	fonts-ttf-decoratives-fonts.dir.bz2
BuildArch:	noarch

%description
This package is a collection of free TrueType fonts.

%package -n fonts-ttf-west_european
Summary:	TrueType fonts (West European charset)
Group:		System/Fonts/True type
Obsoletes:	ttfonts

%description -n fonts-ttf-west_european
This package is a collection of free TrueType fonts.

%package -n fonts-ttf-decoratives
Summary:	True Type Fonts (decoratives)
Group:		System/Fonts/True type

%description -n fonts-ttf-decoratives
This package is a collection of free TrueType fonts.

%prep
%setup -q -n ttfonts

%build

%install
# iso8858-{1,15} and ascii-0 fonts
mkdir -p %{buildroot}%{_fontdir}/western
# decorative fonts, quite improper for normal use
mkdir -p %{buildroot}%{_fontdir}/decoratives

mkdir western
for i in Adventure Bluehigb Bluehigc Bluehigh a_d_mono babelfish \
	dirtydoz fudd larabief
do
  install -m444 $i.ttf %{buildroot}%{_fontdir}/western
  cp $i.txt western || :
done 
bzcat %{SOURCE1} > %{buildroot}%{_fontdir}/western/fonts.dir
bzcat %{SOURCE1} > %{buildroot}%{_fontdir}/western/fonts.scale

mkdir decoratives
for i in CaptainPodd actionis bazaroni betadance betsy binary \
	brandnew creature davis demon densmore dienasty \
	distortia edgewater electroh eli5.0- embargo2 fadgod failed \
	fakerece flubber fontrstc goldengi hydrogen ikarrg ikart \
	ikarv independ indigo
do
  install -m444 $i.ttf %{buildroot}%{_fontdir}/decoratives
  cp $i.txt decoratives || :
done
bzcat %{SOURCE2} > %{buildroot}%{_fontdir}/decoratives/fonts.dir
bzcat %{SOURCE2} > %{buildroot}%{_fontdir}/decoratives/fonts.scale

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%{_fontdir}/western \
	%{buildroot}%_sysconfdir/X11/fontpath.d/ttf-west_european:pri=50
ln -s ../../..%{_fontdir}/decoratives \
	%{buildroot}%_sysconfdir/X11/fontpath.d/ttf-decoratives:pri=50

cp bluehigh.txt contourgenerator.txt western/
cp betsy.readme.txt decoratives/

%files -n fonts-ttf-west_european
%doc western/*
%dir %{_fontdir}/western
%{_fontdir}/western/*.ttf
%config(noreplace) %{_fontdir}/western/fonts.scale
%config(noreplace) %{_fontdir}/western/fonts.dir
%_sysconfdir/X11/fontpath.d/ttf-west_european:pri=50

%files -n fonts-ttf-decoratives
%doc decoratives/*
%dir %{_fontdir}/decoratives
%{_fontdir}/decoratives/*.ttf
%config(noreplace) %{_fontdir}/decoratives/fonts.dir
%config(noreplace) %{_fontdir}/decoratives/fonts.scale
%_sysconfdir/X11/fontpath.d/ttf-decoratives:pri=50


%changelog
* Sun Jan 14 2024 daviddavid <daviddavid> 1.4-10.mga10
+ Revision: 2031088
- move fonts files from '/usr/share/fonts/ttf' to '/usr/share/fonts/TTF'

* Sun Mar 20 2022 umeabot <umeabot> 1.4-9.mga9
+ Revision: 1807704
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4-8.mga8
+ Revision: 1501209
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.4-7.mga7
+ Revision: 1276746
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.4-6.mga6
+ Revision: 948118
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-5.mga5
+ Revision: 744792
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 689967
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4-3.mga4
+ Revision: 519773
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 384836
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 zezinho <zezinho> 1.4-1.mga2
+ Revision: 165127
- tarball updated with a better flubber.ttf

* Wed Mar 16 2011 ahmad <ahmad> 1.3-23.mga1
+ Revision: 72695
- imported package ttfonts


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-23mdv2011.0
+ Revision: 608043
- rebuild

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.3-22mdv2010.1
+ Revision: 494168
- fc-cache is now called by an rpm filetrigger

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3-21mdv2010.0
+ Revision: 427435
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.3-20mdv2009.0
+ Revision: 225887
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.3-19mdv2008.1
+ Revision: 171149
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3-18mdv2008.0
+ Revision: 48756
- normalize fontpath.d symlink name (based on pkg name)

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3-17mdv2008.0
+ Revision: 48695
- fontpath.d conversion (#31756)

* Sat Apr 28 2007 Adam Williamson <awilliamson@mandriva.org> 1.3-16mdv2008.0
+ Revision: 18887
- more cleaning
- clean spec, rebuild for new era


* Wed Feb 08 2006 Frederic Crozat <fcrozat@mandriva.com> 1.3-15mdk
- Don't package fontconfig cache file
- Fix prereq

* Wed Sep 15 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3-14mdk
- fixed fonts.dir files by removing missing fonts (bug #9428)

* Wed Nov 19 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3-13mdk
- nuke beast wars font, it breaks xfs in a weird way

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.3-12mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- fix no-prereq-on chkfontpath (rpmlint)
- fix conffile-without-noreplace-flag (rpmlint)

* Thu Feb 20 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3-11mdk
- corrected Licence: line

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3-10mdk
- proper use of fc-cache

